Update customer details

Update existing customer details.

  • The only supported attributes are licenseManagedAllowed and dataAccessAllowed. Providing any other attributes will result in an error.
  • For dataAccessAllowed, the existing value cannot be changed.
  • Refer this page for supported attributes: https://developer.druva.com/docs/msp-product-and-attribute-values.
  • After you initiate the operation, it is queued and a task ID is generated. You can get the task ID from the success response. Use this task ID in the 'Get Task Details' API to track the operation's progress.
  • You must provide existing information in all the fields that do not require an update.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Specify the unique ID of the customer you wish to update. Get the unique ID of the customer using the 'List all customers' API.

Body Params

Specify the details to update the customer.

string
  • Specify the account name for the customer. Account name cannot be changed in updation. Example - 'Druva'.
  • If account name is different than existing, it will return error.
  • If account name is empty then it will return success
string

Specify the address for the customer. This field can be left empty only for Druva Provisioned customers.

string
required

Specify the customer name for the customer.

features
array of objects

Specify the features supported at Druva MSP customer level.

features
string
  • Specify the phone number for the customer.
    • This field can be left empty only for Druva Provisioned customers.
    • Maximum length can be 30.
    • The country code must be prefixed with a '+' sign.
tenantAdmins
array of int64s
  • Specify the unique IDs of tenant administrators who should manage the tenant for the customer. Get the list of tenant administrators IDs using the 'List all administrators' API.
  • If you want to remove a tenant administrator from this customer, simply do not specify the unique ID of the administrator.
  • If tenant admin list is empty then all tenant admins will be removed
tenantAdmins
attributes
array of objects
required

Specify the attributes supported at Druva MSP customer level.

attributes*
Headers
string
required

Authorization header should contain the Bearer access token.

Responses

400

Bad Request

401

Unauthorized

404

The requested resource was not found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json